import request from '@/utils/request'

// 左下
export function monitorUnitPercentage(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/monitorUnitPercentage',
    method: 'get',
  })
}

// 左上
export function monitorPercentage(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/monitorPercentage',
    method: 'get',
  })
}

// 中
export function allNums(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/allNums',
    method: 'get',
  })
}

// 右下
export function getAlarmInfos(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getAlarmInfos',
    method: 'get',
  })
}

// 右上
export function getDeviceOperations(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getDeviceOperations/1',
    method: 'get',
  })
}

// 问题处理
export function handleAlarmInfo(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/handleAlarmInfo',
    method: 'put',
    data:query
  })
}
